Bug 737693 - rhui-manager status has an exit code of 0 even if a registered CDS is down.
Summary: rhui-manager status has an exit code of 0 even if a registered CDS is down.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 2.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks: tracker-rhui-2.0.1
TreeView+ depends on / blocked
 
Reported: 2011-09-12 21:44 UTC by James Slagle
Modified: 2017-03-01 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 22:06:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description James Slagle 2011-09-12 21:44:42 UTC
[root@rhui2 zsh]# rhui-manager status
rhui2-cds01.us-east-1.aws.ce.redhat.com ..................... [ DOWN ]
rhui2-cds02.us-east-1.aws.ce.redhat.com ..................... [  UP  ]

[root@rhui2 zsh]# echo $?
0


Exit code should have been non-zero.

Comment 1 James Slagle 2011-10-03 20:32:54 UTC
Fixed:
commit 51ad565a5ab9c920cbca46705755682f2c6092e0
Author: James Slagle <jslagle@redhat.com>
Date:   Wed Sep 14 13:11:29 2011 -0400

    bz 737610 and bz 737693 Improve rhui-manager status command

When a repo sync has failed, or a CDS is down, the exit code from "rhui-manager status" should be non-zero.  The exit code is the sum of the number of CDS's that are down and the repo syncs that have failed.

Comment 2 wes hayutin 2011-10-17 20:01:32 UTC
set tracker bug. 746803

Comment 3 Kedar Bidarkar 2011-10-18 07:03:31 UTC
[root@dhcp201-111 ~]# rhui-manager status
Previous authentication credentials could not be found. Logging into
the RHUI.

If this is the first time using the RHUI, it is recommended to change
the user's password in the User Management section of RHUI Tools.

RHUI Username: admin
RHUI Password: 
CDS-1_118 ................................................... [  UP  ]

CDS-1_118 ................................................... [  SUCCESS  ]
CDS-2_134 ................................................... [  UP  ]

CDS-2_134 ................................................... [  SUCCESS  ]

Red Hat Update Infrastructure 2.0 (ISOs) (6.1-x86_64) ................. [  ERROR  ]
Red Hat Update Infrastructure 1.2 (RPMs) (5.6-x86_64) ................. [  SUCCESS  ]
Red Hat Enterprise Linux 6 Server from RHUI (RPMs) (6.1-x86_64) ....... [  SUCCESS  ]
[root@dhcp201-111 ~]# echo $?
1
[root@dhcp201-111 ~]# rpm -qav | grep -ie pulp -ie rhui
pulp-client-0.0.214-2.el6.noarch
pulp-0.0.214-2.el6.noarch
rh-rhui-tools-2.0.43-1.el6.noarch
pulp-common-0.0.214-2.el6.noarch

Comment 7 errata-xmlrpc 2017-03-01 22:06:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.